summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 50496b2)
raw | patch | inline | side by side (parent: 50496b2)
author | Junio C Hamano <junkio@cox.net> | |
Thu, 3 Nov 2005 23:26:43 +0000 (15:26 -0800) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Fri, 4 Nov 2005 07:05:49 +0000 (23:05 -0800) |
This is a long overdue companion commit that fixed git-commit
(Santi's f8e2c54c9a17af3319e96db1d9e97ace36ae6831).
Having the temporary files in the working tree root when making
tags is not as bad because it does not involve 'git status' as
the git-commit case, but this makes things more consistent.
Signed-off-by: Junio C Hamano <junkio@cox.net>
(Santi's f8e2c54c9a17af3319e96db1d9e97ace36ae6831).
Having the temporary files in the working tree root when making
tags is not as bad because it does not involve 'git status' as
the git-commit case, but this makes things more consistent.
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-tag.sh | patch | blob | history |
diff --git a/git-tag.sh b/git-tag.sh
index faa766799df6d276b6fcdca79d4f05b05ec2626b..bd9275367405fa0b8c10a2e1394195cdbcfc632c 100755 (executable)
--- a/git-tag.sh
+++ b/git-tag.sh
tagger=$(git-var GIT_COMMITTER_IDENT) || exit 1
: ${username:=$(expr "$tagger" : '\(.*>\)')}
-trap 'rm -f .tmp-tag* .tagmsg .editmsg' 0
+trap 'rm -f "$GIT_DIR"/TAG_TMP* "$GIT_DIR"/TAG_FINALMSG "$GIT_DIR"/TAG_EDITMSG' 0
if [ "$annotate" ]; then
if [ -z "$message" ]; then
( echo "#"
echo "# Write a tag message"
- echo "#" ) > .editmsg
- ${VISUAL:-${EDITOR:-vi}} .editmsg || exit
+ echo "#" ) > "$GIT_DIR"/TAG_EDITMSG
+ ${VISUAL:-${EDITOR:-vi}} "$GIT_DIR"/TAG_EDITMSG || exit
else
- echo "$message" > .editmsg
+ echo "$message" >"$GIT_DIR"/TAG_EDITMSG
fi
- grep -v '^#' < .editmsg | git-stripspace > .tagmsg
+ grep -v '^#' <"$GIT_DIR"/TAG_EDITMSG |
+ git-stripspace >"$GIT_DIR"/TAG_FINALMSG
- [ -s .tagmsg ] || {
+ [ -s "$GIT_DIR"/TAG_FINALMSG ] || {
echo >&2 "No tag message?"
exit 1
}
- ( echo -e "object $object\ntype $type\ntag $name\ntagger $tagger\n"; cat .tagmsg ) > .tmp-tag
- rm -f .tmp-tag.asc .tagmsg
+ ( echo -e "object $object\ntype $type\ntag $name\ntagger $tagger\n";
+ cat "$GIT_DIR"/TAG_FINALMSG ) >"$GIT_DIR"/TAG_TMP
+ rm -f "$GIT_DIR"/TAG_TMP.asc "$GIT_DIR"/TAG_FINALMSG
if [ "$signed" ]; then
- gpg -bsa -u "$username" .tmp-tag &&
- cat .tmp-tag.asc >>.tmp-tag ||
+ gpg -bsa -u "$username" "$GIT_DIR"/TAG_TMP &&
+ cat "$GIT_DIR"/TAG_TMP.asc >>"$GIT_DIR"/TAG_TMP ||
die "failed to sign the tag with GPG."
fi
- object=$(git-mktag < .tmp-tag)
+ object=$(git-mktag < "$GIT_DIR"/TAG_TMP)
fi
mkdir -p "$GIT_DIR/refs/tags"